/*
 * Handle 68302 TIMER2 interrupts.
 *
 * All code in this routine is pure overhead which can perturb the
 * accuracy of RTEMS' timing test suite.
 *
 * See also:	Read_timer()
 *
 * To reduce overhead this is best to be the "rawest" hardware interupt
 * handler you can write.  This should be the only interrupt which can
 * occur during the measured time period.
 *
 * An external counter, Timer_interrupts, is incremented.
 *
 *  $Id: timerisr.s,v 1.1 1995/06/07 01:27:19 joel Exp $
 */

#include "asm.h"

BEGIN_CODE
	PUBLIC(timerisr)
SYM(timerisr):
        move.l   #0x10000131,a0 |Reset the timer chip (hard coded Timer1.TER reg value - bad)
        move.b   #0x03,(a0)
	addq.l	 #1,SYM(Timer_interrupts) | increment timer value
	rte
END_CODE
END
